cd nk_supply_only 
load all_results
cd ..

fig1_string='Figure 7: Epidemic as a shock to labor supply';
fig1_save_name='fig07';

ybase=y;
cbase=c;
xbase=x;
nbase=n;
rrbase=rr;
Rbbase=Rb;
piebase=pie;
kbase=k;
ibase=i;
sbase=s;
dbase=dd;


cd nk_supply_only
load all_results
cd ..


yperturb=yF;
Rbperturb=RbF;
pieperturb=pieF;
cperturb=cF;
xperturb=xF;
nperturb=nF;
rrperturb=rrF;
kperturb=kF;
iperturb=iF;
sperturb=sF;
dperturb=ddF;

%plotting
ia=3;
ib=3;
fsize=12;
horz=100;

time=0:1:horz-1;

figure;

subplot(ia,ib,1)
plot(time(1:end-1),0*100*((Rbbase(2:horz)).^52-1)+100*(Rb_ss.^52-1),'m:','LineWidth',1.5);hold on
plot(time(1:end-1),100*((Rbbase(2:horz)).^52-1),'b-','LineWidth',2);hold on
%plot(time(1:end-1),100*((Rbperturb(2:horz)).^52-1),'r--','LineWidth',2);hold on
box off;
title('Nominal Interest Rate','FontSize',fsize);
set(gca,'FontSize',fsize);
axis tight


subplot(ia,ib,2)
plot(time(1:end-1),0*100*((piebase(2:horz)).^52-1)+100*(pie_ss.^52-1),'m:','LineWidth',1.5);hold on
plot(time(1:end-1),100*((piebase(2:horz)).^52-1),'b-','LineWidth',2);hold on
%plot(time(1:end-1),100*((pieperturb(2:horz)).^52-1),'r--','LineWidth',2);hold on
box off;
title('Inflation','FontSize',fsize);
set(gca,'FontSize',fsize);
axis tight

subplot(ia,ib,3)
plot(time(1:end-1),0*100*(ybase(2:horz)-y_ss)/y_ss,'m:','LineWidth',1.5);hold on
plot(time(1:end-1),100*(ybase(2:horz)-y_ss)/y_ss,'b-','LineWidth',2);hold on
%plot(time(1:end-1),100*(yperturb(2:horz)-y_ss)/y_ss,'r--','LineWidth',2);hold on
box off;
title('GDP','FontSize',fsize);
set(gca,'FontSize',fsize);
axis tight

subplot(ia,ib,4)
plot(time(1:end-1),0*100*(cbase(2:horz)-c_ss)/c_ss,'m:','LineWidth',1.5);hold on
plot(time(1:end-1),100*(cbase(2:horz)-c_ss)/c_ss,'b-','LineWidth',2);hold on
%plot(time(1:end-1),100*(cperturb(2:horz)-c_ss)/c_ss,'r--','LineWidth',2);hold on
box off;
title('Consumption','FontSize',fsize);
set(gca,'FontSize',fsize);
axis tight


subplot(ia,ib,6)
plot(time(1:end-1),0*100*(xbase(2:horz)-x_ss)/x_ss,'m:','LineWidth',1.5);hold on
plot(time(1:end-1),100*(xbase(2:horz)-x_ss)/x_ss,'b-','LineWidth',2);hold on
%plot(time(1:end-1),100*(xperturb(2:horz)-x_ss)/x_ss,'r--','LineWidth',2);hold on
box off;
title('Investment','FontSize',fsize);
set(gca,'FontSize',fsize);
axis tight

subplot(ia,ib,5)
plot(time(1:end-1),0*100*(cbase(2:horz)-c_ss)/c_ss,'m:','LineWidth',1.5);hold on
plot(time(1:end-1),100*(nbase(2:horz)-n_ss)/n_ss,'b-','LineWidth',2);hold on
%plot(time(1:end-1),100*(nperturb(2:horz)-n_ss)/n_ss,'r--','LineWidth',2);hold on
box off;
title('Hours','FontSize',fsize);
set(gca,'FontSize',fsize);
axis tight


subplot(ia,ib,7)
plot(time(1:end-1),0*100*((rrbase(2:horz)).^52-1)+100*(rr_ss.^52-1),'m:','LineWidth',1.5);hold on
plot(time(1:end-1),100*((rrbase(2:horz)).^52-1),'b-','LineWidth',2);hold on
%plot(time(1:end-1),100*((rrperturb(2:horz)).^52-1),'r--','LineWidth',2);hold on
box off;
title('Real Interest Rate','FontSize',fsize);
set(gca,'FontSize',fsize);
axis tight

xlim=get(gca,'XLim');
ylim=get(gca,'YLim'); 
ht = text(xlim(1)+15,ylim(1)-0.65,' Notes: x-axis in weeks. GDP, consumption, hours and investment in percent deviations from initial steady state.\newline Inflation, nominal and real interest rates in percent. Infected and deaths in percent of initial population.');
set(ht,'Rotation',0)
set(ht,'FontSize',fsize-1,'FontWeight','normal');


subplot(ia,ib,8)
plot(time,100*ibase(1:horz),'b-','LineWidth',2);hold on
%plot(time,100*iperturb(1:horz),'r--','LineWidth',2);hold on
box off;
title('Infected','FontSize',fsize);
set(gca,'FontSize',fsize);
axis tight

  
subplot(ia,ib,9)
plot(time,100*dbase(1:horz),'b-','LineWidth',2);hold on
%plot(time,100*dperturb(1:horz),'r--','LineWidth',2);hold on
box off;
title('Deaths','FontSize',fsize);
set(gca,'FontSize',fsize);
axis tight


%leg1=legend('New Keynesian Model (Sticky Prices)','Model with Flexible Prices');
%set(leg1,...
%     'Position',[-0.0704335567178815 0.894078940309976 1.19107142857143 0.044047619047619],...
%     'Orientation','horizontal');
% legend boxoff;

suptitle(fig1_string);
orient landscape
print(fig1_save_name,'-dpdf','-fillpage')







 
